directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shawn McKinney <smckin...@apache.org>
Subject Re: [Vote] Support only Java 7 for all the components
Date Thu, 08 Jan 2015 13:59:14 GMT
+1  (Fortress code has been Java 7 dependent for a couple of years)

On 01/08/2015 03:39 AM, Colm O hEigeartaigh wrote:
> +1. I'd suggest though releasing one more version supporting JDK 1.6 to allow users time
to upgrade.
> 
> Colm.
> 
> On Thu, Jan 8, 2015 at 7:55 AM, Pierre Smits <pierre.smits@gmail.com <mailto:pierre.smits@gmail.com>>
wrote:
> 
>     [X] +1 yes, drop Java 6 and make the projects only supporting Java 7from now on
> 
>     This will be effective from next major release, correct? Or are we planning to have
this in effect with R2.x?
> 
>     Regards,
> 
>     Pierre Smits
> 
>     *ORRTIZ.COM <http://www.orrtiz.com>*
>     Services & Solutions for Cloud-
>     Based Manufacturing, Professional
>     Services and Retail & Trade
>     http://www.orrtiz.com <http://www.orrtiz.com/>
> 
>     On Thu, Jan 8, 2015 at 8:52 AM, Kiran Ayyagari <kayyagari@apache.org <mailto:kayyagari@apache.org>>
wrote:
> 
>         been using DS with Java 7 from an year, I didn't run into any issues
> 
>         [X] +1 yes, drop Java 6 and make the projects only supporting Java 7from now
on
> 
>         On Thu, Jan 8, 2015 at 3:49 PM, Emmanuel L├ęcharny <elecharny@gmail.com <mailto:elecharny@gmail.com>>
wrote:
> 
>             Hi guys,
> 
>             following a discussion we have had on the dev list regarding the support
>             of Java 6 and the strain it puts on some of the maven dependencies we
>             are using, here is a proposal to stop supporting Java 6 and to only
>             support Java 7 & 8 from now on.
> 
>             Keep in mind that Java 6 is not anymore supported by Oracle (except for
>             paying customers) since feb 2013, and Java 7 is out for now 3 years.
> 
>             So let's vote :
> 
>             [ ] +1 yes, drop Java 6 and make the projects only supporting Java 7
>             from now on
>             [ ] +/- 0 : I don't mind/ no strong opinion
>             [ ] -1 no, we should keep going and adapt to support Java 6
> 
>             Many thanks !
> 
> 
> 
> 
>         -- 
>         Kiran Ayyagari
>         http://keydap.com
> 
> 
> 
> 
> 
> -- 
> Colm O hEigeartaigh
> 
> Talend Community Coder
> http://coders.talend.com

Mime
View raw message